package com.sifang.modules.supply.warehouse.entity;

import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.math.BigDecimal;

@Entity
@Table(name = "crm_supply_allocation_order_detail")
public class CrmSupplyAllocationOrderDetail implements Serializable {

    private static final long serialVersionUID = 1L;
    private String id;

    private String inventoryId;
    private String materialId;
    private String materialCode;
    private String materialName;
    private String materialType;
    private String materialRemarks;
    private String materialUnit;
    private BigDecimal stock;
    private BigDecimal amount;
    private BigDecimal inoutAmount;
    private String location;
    private Integer sort;
    private String status;

    private BigDecimal costPrice;
    private BigDecimal bdSalePrice;

    private String unitCode;

    @Transient
    public String getUnitCode() {
        return unitCode;
    }

    public void setUnitCode(String unitCode) {
        this.unitCode = unitCode;
    }

    public BigDecimal getCostPrice() {
        return costPrice;
    }

    public void setCostPrice(BigDecimal costPrice) {
        this.costPrice = costPrice;
    }

    public BigDecimal getBdSalePrice() {
        return bdSalePrice;
    }

    public void setBdSalePrice(BigDecimal bdSalePrice) {
        this.bdSalePrice = bdSalePrice;
    }

    public CrmSupplyAllocationOrderDetail() {
        super();
        this.status = "1";
        this.inoutAmount=BigDecimal.ZERO;
    }

    @Id
    @GeneratedValue(generator = "idGenerator")
    @GenericGenerator(name = "idGenerator", strategy = "uuid")
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getInventoryId() {
        return inventoryId;
    }

    public void setInventoryId(String inventoryId) {
        this.inventoryId = inventoryId;
    }

    public String getMaterialId() {
        return materialId;
    }

    public void setMaterialId(String materialId) {
        this.materialId = materialId;
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    public String getMaterialType() {
        return materialType;
    }

    public void setMaterialType(String materialType) {
        this.materialType = materialType;
    }


    public String getMaterialRemarks() {
        return materialRemarks;
    }

    public void setMaterialRemarks(String materialRemarks) {
        this.materialRemarks = materialRemarks;
    }

    public String getMaterialUnit() {
        return materialUnit;
    }

    public void setMaterialUnit(String materialUnit) {
        this.materialUnit = materialUnit;
    }

    public BigDecimal getStock() {
        return stock;
    }

    public void setStock(BigDecimal stock) {
        this.stock = stock;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public BigDecimal getInoutAmount() {
        return inoutAmount;
    }

    public void setInoutAmount(BigDecimal inoutAmount) {
        this.inoutAmount = inoutAmount;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public Integer getSort() {
        return sort;
    }

    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }
}

